# [−] [src] Crate unicode_xid

Determine if a `char` is a valid identifier for a parser and/or lexer according to Unicode Standard Annex #31 rules.

    extern crate unicode_xid;

    use unicode_xid::UnicodeXID;

    fn main() {
        let ch = 'a';
        println!("Is {} a valid start of an identifier? {}", ch, UnicodeXID::is_xid_start(ch));
    }

# features

unicode-xid supports a `no_std` feature. This eliminates dependence on std, and instead uses equivalent functions from core.

## Constants

UNICODE_VERSION | The version of Unicode that this version of unicode-xid is based on.

## Traits

UnicodeXID | Methods for determining if a character is a valid identifier character.